package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.SecurityGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface SecurityGroupProvider extends SuperProvider {

    default BocloudResult list() {
        return null;
    }

    default BocloudResult create(SecurityGroupModel group) {
        return null;
    }

    default BocloudResult remove(String sgId) {
        return null;
    }

    default BocloudResult getByVpc(String vpcId) {
        return null;
    }

    default BocloudResult detail(String sgId) {
        return null;
    }

    default BocloudResult modify(SecurityGroupModel model) {
        return null;
    }

    default BocloudResult list(String zone) {
        return null;
    }

    default BocloudResult getProjectDefaultSecg() {
        return null;
    }

    default BocloudResult listByVdc(String vdc) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(SecurityGroupModel model) {
        return null;
    }

}
